#
# spec file for package octave-forge-quaternion
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  quaternion
Name:           octave-forge-%{octpkg}
Version:        2.4.0
Release:        2.2
Summary:        Quaternion class with overloaded operators for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io/quaternion/index.html
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM 0001-Fix-build-with-Octave-5.1.patch -- based on PR 1
Patch0:         0001-Fix-build-with-Octave-5.1.patch
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.8.0

%description
Quaternion class with overloaded operators.
This is part of Octave-Forge project.

%prep
%autosetup -p0 -c %{name}-%{version}

%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sun Dec 26 2021 Atri Bhattacharya <badshah400@gmail.com>
- Fix Source URL.
- Minor cleanup: trim unnecessary braces.
* Tue Nov 30 2021 Dirk Stoecker <opensuse@dstoecker.de>
- Fix URLs
* Tue Oct  5 2021 Markus Ebner <info@ebner-markus.de>
- Add patch to fix build with Octave 5.1.0
  https://sourceforge.net/p/octave/quaternion/merge-requests/1/
* Tue Apr  7 2015 dmitry_r@opensuse.org
- Update to version 2.4.0
  * q2rot
  - Vectorized code to support the input of multiple quaternions.
  - Return axis as a column vector.
  - Add test.
  * rot2q
  - Support for multiple rotation angles (vectorized code).
  - Improved error messages.
  - Add test.
  * The following functions are new:
  - rotm2q
  * The following functions are now overloaded for quaternions:
  - mean
  - numel
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.2.2
